[
    {
        "name": "fgrosse/phpasn1",
        "version": "v2.3.0",
        "version_normalized": "2.3.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/fgrosse/PHPASN1.git",
            "reference": "20299033c35f4300eb656e7e8e88cf52d1d6694e"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/fgrosse/PHPASN1/zipball/20299033c35f4300eb656e7e8e88cf52d1d6694e",
            "reference": "20299033c35f4300eb656e7e8e88cf52d1d6694e",
            "shasum": ""
        },
        "require": {
            "php": ">=7.0.0"
        },
        "require-dev": {
            "phpunit/phpunit": "~6.3",
            "satooshi/php-coveralls": "~2.0"
        },
        "suggest": {
            "ext-bcmath": "BCmath is the fallback extension for big integer calculations",
            "ext-curl": "For loading OID information from the web if they have not bee defined statically",
            "ext-gmp": "GMP is the preferred extension for big integer calculations",
            "phpseclib/bcmath_compat": "BCmath polyfill for servers where neither GMP nor BCmath is available"
        },
        "time": "2021-04-24T19:01:55+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "FG\\": "lib/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Friedrich Große",
                "email": "friedrich.grosse@gmail.com",
                "homepage": "https://github.com/FGrosse",
                "role": "Author"
            },
            {
                "name": "All contributors",
                "homepage": "https://github.com/FGrosse/PHPASN1/contributors"
            }
        ],
        "description": "A PHP Framework that allows you to encode and decode arbitrary ASN.1 structures using the ITU-T X.690 Encoding Rules.",
        "homepage": "https://github.com/FGrosse/PHPASN1",
        "keywords": [
            "DER",
            "asn.1",
            "asn1",
            "ber",
            "binary",
            "decoding",
            "encoding",
            "x.509",
            "x.690",
            "x509",
            "x690"
        ]
    },
    {
        "name": "mdanter/ecc",
        "version": "v1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/phpecc/phpecc.git",
            "reference": "34e2eec096bf3dcda814e8f66dd91ae87a2db7cd"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/phpecc/phpecc/zipball/34e2eec096bf3dcda814e8f66dd91ae87a2db7cd",
            "reference": "34e2eec096bf3dcda814e8f66dd91ae87a2db7cd",
            "shasum": ""
        },
        "require": {
            "ext-gmp": "*",
            "fgrosse/phpasn1": "^2.0",
            "php": "^7.0||^8.0"
        },
        "require-dev": {
            "phpunit/phpunit": "^6.0||^8.0||^9.0",
            "squizlabs/php_codesniffer": "^2.0",
            "symfony/yaml": "^2.6|^3.0"
        },
        "time": "2021-01-16T19:42:14+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Mdanter\\Ecc\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Matyas Danter",
                "homepage": "http://matejdanter.com/",
                "role": "Author"
            },
            {
                "name": "Thibaud Fabre",
                "email": "thibaud@aztech.io",
                "homepage": "http://aztech.io",
                "role": "Maintainer"
            },
            {
                "name": "Thomas Kerin",
                "email": "afk11@users.noreply.github.com",
                "role": "Maintainer"
            }
        ],
        "description": "PHP Elliptic Curve Cryptography library",
        "homepage": "https://github.com/phpecc/phpecc",
        "keywords": [
            "Diffie",
            "ECDSA",
            "Hellman",
            "curve",
            "ecdh",
            "elliptic",
            "nistp192",
            "nistp224",
            "nistp256",
            "nistp384",
            "nistp521",
            "phpecc",
            "secp256k1",
            "secp256r1"
        ]
    },
    {
        "name": "simplito/bigint-wrapper-php",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/simplito/bigint-wrapper-php.git",
            "reference": "cf21ec76d33f103add487b3eadbd9f5033a25930"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/simplito/bigint-wrapper-php/zipball/cf21ec76d33f103add487b3eadbd9f5033a25930",
            "reference": "cf21ec76d33f103add487b3eadbd9f5033a25930",
            "shasum": ""
        },
        "time": "2018-02-27T12:38:08+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "BI\\": "lib/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Simplito Team",
                "email": "s.smyczynski@simplito.com",
                "homepage": "https://simplito.com"
            }
        ],
        "description": "Common interface for php_gmp and php_bcmath modules"
    },
    {
        "name": "simplito/bn-php",
        "version": "1.1.2",
        "version_normalized": "1.1.2.0",
        "source": {
            "type": "git",
            "url": "https://github.com/simplito/bn-php.git",
            "reference": "e852fcd27e4acbc32459606d7606e45a85e42465"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/simplito/bn-php/zipball/e852fcd27e4acbc32459606d7606e45a85e42465",
            "reference": "e852fcd27e4acbc32459606d7606e45a85e42465",
            "shasum": ""
        },
        "require": {
            "simplito/bigint-wrapper-php": "~1.0.0"
        },
        "require-dev": {
            "phpunit/phpunit": "*"
        },
        "time": "2018-04-12T11:07:43+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "BN\\": "lib/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Simplito Team",
                "email": "s.smyczynski@simplito.com",
                "homepage": "https://simplito.com"
            }
        ],
        "description": "Big number implementation compatible with bn.js"
    },
    {
        "name": "simplito/elliptic-php",
        "version": "1.0.7",
        "version_normalized": "1.0.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/simplito/elliptic-php.git",
            "reference": "a2612c8289270bd00086d1c070efc3fca9d7abce"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/simplito/elliptic-php/zipball/a2612c8289270bd00086d1c070efc3fca9d7abce",
            "reference": "a2612c8289270bd00086d1c070efc3fca9d7abce",
            "shasum": ""
        },
        "require": {
            "ext-gmp": "*",
            "simplito/bn-php": "~1.1.0"
        },
        "require-dev": {
            "phpbench/phpbench": "@dev",
            "phpunit/phpunit": "*"
        },
        "time": "2021-01-12T11:40:37+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Elliptic\\": "lib/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Simplito Team",
                "email": "s.smyczynski@simplito.com",
                "homepage": "https://simplito.com"
            }
        ],
        "description": "Fast elliptic curve cryptography",
        "homepage": "https://github.com/simplito/elliptic-php",
        "keywords": [
            "Curve25519",
            "ECDSA",
            "Ed25519",
            "EdDSA",
            "cryptography",
            "curve",
            "ecc",
            "ecdh",
            "elliptic",
            "nistp192",
            "nistp224",
            "nistp256",
            "nistp384",
            "nistp521",
            "secp256k1"
        ]
    },
    {
        "name": "stephenhill/base58",
        "version": "v1.1.5",
        "version_normalized": "1.1.5.0",
        "source": {
            "type": "git",
            "url": "https://github.com/stephen-hill/base58php.git",
            "reference": "bd9fc19c788160a2f85ba0a19cd800eaf5ba5e99"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/stephen-hill/base58php/zipball/bd9fc19c788160a2f85ba0a19cd800eaf5ba5e99",
            "reference": "bd9fc19c788160a2f85ba0a19cd800eaf5ba5e99",
            "shasum": ""
        },
        "require-dev": {
            "athletic/athletic": "~0.1",
            "phpunit/phpunit": "4.*"
        },
        "time": "2019-08-22T16:51:59+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "StephenHill\\": "src/",
                "StephenHill\\Benchmarks\\": "benchmarks/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Stephen Hill",
                "email": "stephen@gatekiller.co.uk"
            }
        ],
        "description": "Base58 Encoding and Decoding Library for PHP"
    },
    {
        "name": "tuupola/base58",
        "version": "2.1.0",
        "version_normalized": "2.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tuupola/base58.git",
            "reference": "4cd1a3972679946e87c0746f59ff8f0760240b4c"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tuupola/base58/zipball/4cd1a3972679946e87c0746f59ff8f0760240b4c",
            "reference": "4cd1a3972679946e87c0746f59ff8f0760240b4c",
            "shasum": ""
        },
        "require": {
            "php": "^7.1|^8.0"
        },
        "require-dev": {
            "overtrue/phplint": "^1.0.0",
            "phpbench/phpbench": "^0.13.0",
            "phpstan/phpstan": "^0.12.37",
            "phpunit/phpunit": "^7.0|^8.0|^9.0",
            "squizlabs/php_codesniffer": "^3.0"
        },
        "suggest": {
            "ext-gmp": "GMP extension provides the fastest encoding and decoding."
        },
        "time": "2020-09-09T11:38:20+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Tuupola\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mika Tuupola",
                "email": "tuupola@appelsiini.net",
                "homepage": "https://appelsiini.net/",
                "role": "Developer"
            }
        ],
        "description": "Base58 encoder and decoder for arbitrary data",
        "homepage": "https://github.com/tuupola/base58",
        "keywords": [
            "base58"
        ]
    }
]
